# Retrieve a card order

Retrieves a card order based on the `cardOrderId`.

Endpoint: GET /v3/spend/profiles/{profileId}/card-orders/{cardOrderId}
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    The profile ID (personal or business).

  - `cardOrderId` (integer, required)
    The card order ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200:

  - `200` (unknown)
    OK - Successfully retrieved card order.

## Response 200 fields (application/json):

  - `id` (integer)
    ID of the card order.
    Example: 142

  - `profileId` (integer)
    Profile ID.
    Example: 123456

  - `clientId` (string)
    Client ID.
    Example: your-client-id

  - `cardProgram` (object)
    The card program associated with this card order. A Card Program is what Wise refers to all the cards that you will be issuing with us, grouped by product type and by issuing country.

  - `cardProgram.name` (string)
    The name of the card program.
    Example: VISA_DEBIT_BUSINESS_UK_1_PHYSICAL_CARDS_API

  - `cardProgram.scheme` (string)
    The network of the card program:
- `MASTERCARD`
- `VISA`
    Enum: "MASTERCARD", "VISA"

  - `cardProgram.defaultCurrency` (string)
    The default currency assigned to the card program.
    Example: GBP

  - `cardProgram.cardType` (string)
    The type of the card:
- `VIRTUAL_NON_UPGRADEABLE`
- `PHYSICAL`
    Enum: "VIRTUAL_NON_UPGRADEABLE", "PHYSICAL"

  - `address` (object)
    Address set during card order. **Required** for physical cards. **Optional** for virtual cards (defaults to the profile address, if omitted). Fields vary by country. See the [card address validation guide](/guides/developer/api-guides/card-address-validation) for country-specific fields and validation rules.

  - `address.firstLine` (string)
    Card holder's address.
    Example: 56 Shoreditch High St

  - `address.secondLine` (string | null)
    Card holder's address.
    Example: The Tea Bldg

  - `address.thirdLine` (string | null)
    Card holder's address.
    Example: null

  - `address.city` (string)
    Card holder's city.
    Example: London

  - `address.postCode` (string)
    Card holder's postal code.
    Example: E1 6JJ

  - `address.state` (string | null)
    Card holder's state.
    Example: null

  - `address.country` (string)
    Card holder's country (ISO 3166-1 alpha-2).
    Example: GB

  - `cardToken` (string | null)
    Token of the card associated with card order. Nullable.
    Example: 4dc0be88-903f-49e4-8237-735f1139e3dd

  - `replacesCard` (string | null)
    Token of the card being replaced by this replacement card order. Nullable.
    Example: 4dc0be88-903f-49e4-8237-735f1139e3dd

  - `creationTime` (string)
    Time when the card order is created.
    Example: 2023-07-31T01:43:24.596321434Z

  - `modificationTime` (string)
    Time when the card order was last modified.
    Example: 2023-07-31T01:43:24.596321825Z

  - `status` (string)
    Status of the card order. See [card order status flow](/api-reference/legacy/card-order#card-order-status-flow) for details.
    Enum: "PLACED", "REQUIREMENTS_FULFILLED", "CARD_DETAILS_CREATED", "PRODUCED", "COMPLETED", "CANCELLED", "RETURNED"

  - `cardHolderName` (string)
    Name of the card holder.
    Example: John Smith

  - `phoneNumber` (string)
    Phone number associated with the card order.
    Example: +441234567890

  - `lifetimeLimit` (number | null)
    Maximum amount of spending on the card once issued. Nullable.
    Example: 100

  - `deliveryEstimate` (string)
    The estimated time when the card will be delivered. There are few scenarios to be mindful of:
1. For virtual card the delivery estimate will be close to the creationTime, as it does not require delivery.
2. For physical card in `PLACED` status, the delivery estimate is calculated assuming that the order requirements will be fulfilled today (refreshed daily).
3. For physical card after `PLACED` status, we provide a best effort estimation, and it should not be used as delivery timing as we will have separate delivery tracking (subject to region availability) for physical card that is coming soon.
    Example: 2023-10-30T07:11:00.848681Z

  - `deliveryDetails` (object)
    Delivery details of a physical card order. For virtual cards, this value is null.

  - `deliveryDetails.deliveryOption` (string)
    The delivery option used on the card order.
    Enum: "POSTAL_SERVICE_STANDARD", "POSTAL_SERVICE_WITH_TRACKING", "KIOSK_COLLECTION"

  - `deliveryDetails.deliveryVendor` (string | null)
    The name of the delivery vendor.
    Example: DHL

  - `deliveryDetails.trackingUrl` (string | null)
    The URL to track the card delivery.
    Example: https://www.dhl.com/gb-en/home/tracking/tracking-express.html?submit=1&tracking-id=1999473803

  - `deliveryDetails.trackingNumber` (string | null)
    The tracking number of the card delivery.
    Example: 1999473803

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

